Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision a1100c0735185c4a6d6c37b26dc8f8e2c4979940)
+++ sansview/perspectives/fitting/fitting.py	(revision dd2c2ea381e1533c4aca36574d3e45f4db744c00)
@@ -373,13 +373,13 @@
             @param smearer: smear object to allow smearing data
         """   
-        current_pg=self.fit_panel.get_current_page()
-        self.page_finder[current_pg].set_smearer(smearer)
+        self.current_pg=self.fit_panel.get_current_page()
+        self.page_finder[self.current_pg].set_smearer(smearer)
         ## draw model 1D with smeared data
-        data =  self.page_finder[current_pg].get_plotted_data()
-        model = self.page_finder[current_pg].get_model()
+        data =  self.page_finder[self.current_pg].get_plotted_data()
+        model = self.page_finder[self.current_pg].get_model()
         ## if user has already selected a model to plot
         ## redraw the model with data smeared
         
-        smear =self.page_finder[current_pg].get_smearer()
+        smear =self.page_finder[self.current_pg].get_smearer()
         if model!= None:
             self.draw_model( model=model, data= data, smearer= smear,
@@ -440,5 +440,5 @@
             
         fproblemId = 0
-        current_pg=None
+        self.current_pg=None
         for page, value in self.page_finder.iteritems():
             try:
@@ -452,8 +452,8 @@
                         pars.append(name)
                     #Set Engine  (model , data) related to the page on 
-                    self._fit_helper( current_pg=page, value=value,pars=pars,
+                    self._fit_helper( value=value,pars=pars,
                                       id=fproblemId, title= engineType ) 
                     fproblemId += 1 
-                    current_pg= page
+                    self.current_pg= page
             except:
                 msg= "%s error: %s" % (engineType,sys.exc_value)
@@ -472,8 +472,8 @@
             ## perform single fit
             if self._fit_engine=="scipy":
-                qmin, qmax= current_pg.get_range()
+                qmin, qmax= self.current_pg.get_range()
                 self.calc_fit=FitThread(parent =self.parent,
                                         fn= self.fitter,
-                                       cpage=current_pg,
+                                       cpage=self.current_pg,
                                        pars= pars,
                                        completefn= self._single_fit_completed,
@@ -575,5 +575,5 @@
             fitproblem.schedule_tofit(value)
             
-    def _fit_helper(self,current_pg,pars,value, id, title="Single Fit " ):
+    def _fit_helper(self,pars,value, id, title="Single Fit " ):
         """
             helper for fitting
@@ -921,23 +921,23 @@
             return
         model.origin_name = model.name
-        current_pg = self.fit_panel.get_current_page() 
+        self.current_pg = self.fit_panel.get_current_page() 
         ## make sure nothing is done on self.sim_page
         ## example trying to call set_panel on self.sim_page
-        if current_pg != self.sim_page :
+        if self.current_pg != self.sim_page :
            
-            if self.page_finder[current_pg].get_model()== None :
+            if self.page_finder[self.current_pg].get_model()== None :
                 
                 model.name="M"+str(self.index_model)
                 self.index_model += 1  
             else:
-                model.name= self.page_finder[current_pg].get_model().name
-                
-            metadata = self.page_finder[current_pg].get_plotted_data()
+                model.name= self.page_finder[self.current_pg].get_model().name
+                
+            metadata = self.page_finder[self.current_pg].get_plotted_data()
             
             # save the name containing the data name with the appropriate model
-            self.page_finder[current_pg].set_model(model)
-            qmin, qmax= current_pg.get_range()
-            self.page_finder[current_pg].set_range(qmin=qmin, qmax=qmax)
-            smearer=  self.page_finder[current_pg].get_smearer()
+            self.page_finder[self.current_pg].set_model(model)
+            qmin, qmax= self.current_pg.get_range()
+            self.page_finder[self.current_pg].set_range(qmin=qmin, qmax=qmax)
+            smearer=  self.page_finder[self.current_pg].get_smearer()
             # save model name
             self.draw_model( model=model,smearer=smearer, 
